# Interface Object

interface Object {
constructor : Function;
hasOwnProperty (v: PropertyKey ): boolean;
isPrototypeOf (v: Object ): boolean;
propertyIsEnumerable (v: PropertyKey ): boolean;
toLocaleString (): string;
toString (): string;
valueOf (): Object ;
}

- Defined in node_modules/typescript/lib/lib.es5.d.ts:123
- Defined in node_modules/typescript/lib/lib.es5.d.ts:270

##### Index

### Properties

constructor

### Methods

hasOwnProperty
isPrototypeOf
propertyIsEnumerable
toLocaleString
toString
valueOf

## Properties

### constructor

constructor: Function

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

- Defined in node_modules/typescript/lib/lib.es5.d.ts:125

## Methods

### hasOwnProperty

- hasOwnProperty(v: PropertyKey ): boolean

  Determines whether an object has a property with the specified name.

  #### Parameters

  - v: PropertyKey

    A property name.

  #### Returns boolean

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:140

### isPrototypeOf

- isPrototypeOf(v: Object ): boolean

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:146

### propertyIsEnumerable

- propertyIsEnumerable(v: PropertyKey ): boolean

  Determines whether a specified property is enumerable.

  #### Parameters

  - v: PropertyKey

    A property name.

  #### Returns boolean

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:152

### toLocaleString

- toLocaleString(): string

  Returns a date converted to a string using the current locale.

  #### Returns string

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:131

### toString

- toString(): string

  Returns a string representation of an object.

  #### Returns string

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:128

### valueOf

- valueOf(): Object

  Returns the primitive value of the specified object.

  #### Returns Object

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:134